import { ResourceAutoNaming, ResourceDefaultNaming, ResourceNamingType } from '@gammarers/aws-resource-naming';
import { Stack, StackProps } from 'aws-cdk-lib';
import { Construct } from 'constructs';
export { ResourceAutoNaming, ResourceDefaultNaming, ResourceNamingType };
export interface ResourceCustomNaming {
    readonly type: ResourceNamingType.CUSTOM;
    readonly notificationTopicName: string;
    readonly notificationTopicDisplayName: string;
    readonly stateMachineName: string;
    readonly stateMachineRoleName: string;
    readonly schedulerRoleName: string;
    readonly startScheduleName: string;
    readonly stopScheduleName: string;
}
export type ResourceNamingOption = ResourceDefaultNaming | ResourceAutoNaming | ResourceCustomNaming;
export interface ScheduleProperty {
    readonly timezone: string;
    readonly minute?: string;
    readonly hour?: string;
    readonly week?: string;
}
export interface TargetResourceProperty {
    readonly tagKey: string;
    readonly tagValues: string[];
}
export interface Slack {
    readonly webhookSecretName: string;
}
export interface NotificationsProperty {
    readonly emails?: string[];
    readonly slack?: Slack;
}
export interface RDSDatabaseRunningScheduleStackProps extends StackProps {
    readonly targetResource: TargetResourceProperty;
    readonly enableScheduling?: boolean;
    readonly stopSchedule?: ScheduleProperty;
    readonly startSchedule?: ScheduleProperty;
    readonly notifications?: NotificationsProperty;
    readonly resourceNamingOption?: ResourceNamingOption;
}
export declare class RDSDatabaseRunningScheduleStack extends Stack {
    constructor(scope: Construct, id: string, props: RDSDatabaseRunningScheduleStackProps);
}
